QsciLexerOctave Class Reference

`#include <qscilexeroctave.h>`

Inherits QsciLexerMatlab.

## Public Member Functions

| QsciLexerOctave (QObject *parent=0)
virtual | ~QsciLexerOctave ()
const char * | language () const
const char * | lexer () const
const char * | keywords (int set) const
Public Member Functions inherited from QsciLexerMatlab
| QsciLexerMatlab (QObject *parent=0)
virtual | ~QsciLexerMatlab ()
QColor | defaultColor (int style) const
QFont | defaultFont (int style) const
QString | description (int style) const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
virtual bool | defaultEolFill (int style) const
QFont | defaultFont () const
QColor | defaultPaper () const
virtual QColor | defaultPaper (int style) const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual void | refreshProperties ()
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Additional Inherited Members

Public Types inherited from QsciLexerMatlab
enum | { Default = 0 , Comment = 1 , Command = 2 , Number = 3 , Keyword = 4 , SingleQuotedString = 5 , Operator = 6 , Identifier = 7 , DoubleQuotedString = 8 }
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)
Protected Member Functions inherited from QsciLexer
virtual bool | readProperties (QSettings &qs, const QString &prefix)
virtual bool | writeProperties (QSettings &qs, const QString &prefix) const
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Detailed Description

The QsciLexerOctave class encapsulates the Scintilla Octave file lexer.

## Constructor & Destructor Documentation

## QsciLexerOctave()

QsciLexerOctave::QsciLexerOctave | ( | QObject * | parent = 0 | ) |

Construct a QsciLexerOctave with parent parent. parent is typically the QsciScintilla instance.

Referenced by keywords().

## Member Function Documentation

## language()

const char * QsciLexerOctave::language | ( |  | ) | const

virtual

Returns the name of the language.

Reimplemented from QsciLexerMatlab.

## lexer()

const char * QsciLexerOctave::lexer | ( |  | ) | const

virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexerMatlab.

## keywords()

const char * QsciLexerOctave::keywords | ( | int | set | ) | const

virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerMatlab.

References QsciLexerOctave().